<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Customer extends CI_Controller {

	public function __construct(){
		error_reporting(0);
		parent::__construct();
		$this->load->model('home_model');
		date_default_timezone_set('Asia/Calcutta');
		$this->load->library('email');

		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}
	}

	public function index(){

		
	}

	public function view(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  }

	 

	  $title = base_url(); $parts = parse_url($title);
	  $data['meta_title'] = "Customer Management | ". $parts['host'];
	  $data['meta_keyword'] = "";
	  $data['meta_description'] = "";

	  
	  $data['menu'] = 'user';
	  $data['submenu'] = 'customer';

	  $this->load->view('pages/inc/header', $data);
	  $this->load->view('pages/customer/view');
	  $this->load->view('pages/inc/footer');
	}

	public function add(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}

		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add Customer | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'user';
		$data['submenu'] = 'customer';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/customer/add');
		$this->load->view('pages/inc/footer');
	}

	public function addCustomer(){
		$post = $this->input->post();
		
		$ckeck = $this->home_model->findValue($post['email'], 'email', 'tbl_user');
		if( !empty($ckeck)){
			$this->session->set_flashdata('error','Email <b>('.$post["email"].')</b> Already Exists!!');
			redirect(base_url('customer/add'));
			die();
		}

		$ckeck = $this->home_model->findValue($post['phone'], 'phone', 'tbl_user');
		if( !empty($ckeck)){
			$this->session->set_flashdata('error','Phone <b>('.$post["phone"].')</b> Already Exists!!');
			redirect(base_url('customer/add'));
			die();
		}

		if($this->session->userdata('sess_cust_type') == '1'){
			$status = $post['status'];
		} else {
			$status="InActive";
		}

		if(!empty($post['name'])){
			$data = array(
				'distributer' => $post['distributer'],
				'dealer' => $post['dealer'],
				'csc' => $post['csc'],
				'reference_code' => $post['reference_code'],
				'title' => $post['title'],
				'name' => $post['name'],
				'phone' => $post['phone'],
				'alt_phone' => $post['alt_phone'],
				'whatsapp' => $post['whatsapp'],
				'email' => $post['email'],
				'password' => md5($post['password']),
				'country' => $post['country'],
				'state' => $post['state'],
				'city' => $post['city'],
				'tehsil' => $post['tehsil'],
				'block' => $post['block'],
				'village' => $post['village'],
				'address' => $post['address'],
				'pin' => $post['pin'],
				'status' => $status,
				'cust_type' => '5',
				'added_by' => $this->session->userdata('sess_id'),
				'add_type' => $this->session->userdata('sess_cust_type')
			);
			$this->home_model->insert('tbl_user', $data);
			$this->session->set_flashdata('success','Customer Add Successfully!!');
		    redirect(base_url('customer/view'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('customer/add'));
		}
	}

	public function edit($id){
		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Edit Customer | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'user';
		$data['submenu'] = 'customer';
		$data['id'] = $id;

		$this->load->view('pages/inc/header', $data);
	  	$this->load->view('pages/customer/edit');
	  	$this->load->view('pages/inc/footer');
	}

	public function updateCustomer(){
		$post = $this->input->post();

		if( !empty($post['name']) && !empty($post['email']) ){

			$ckeck = $this->home_model->findValue_isnot($post['email'], 'email', $post['id'], 'id', 'tbl_user');
			if( !empty($ckeck)){
				$this->session->set_flashdata('error','Email <b>('.$post["email"].')</b> Already Exists!!');
	    		redirect(base_url('customer/edit/'.$post['id']));
	    		die();
			}

			$ckeck = $this->home_model->findValue_isnot($post['phone'], 'phone', $post['id'], 'id', 'tbl_user');
			if( !empty($ckeck)){
				$this->session->set_flashdata('error','Phone <b>('.$post["phone"].')</b> Already Exists!!');
	    		redirect(base_url('customer/edit/'.$post['id']));
	    		die();
			}

			if($this->session->userdata('sess_cust_type') == '1'){
				$status = $post['status'];
			} else {
				$sqlStatus = $this->db->query("SELECT `status` FROM tbl_user WHERE id = '".$post['id']."'");
				foreach($sqlStatus() as $rowS){
					$status = $rowS->status;
				}
			}

			if( !empty($post['password']) ){
				$data = array(
					'distributer' => $post['distributer'],
					'dealer' => $post['dealer'],
					'csc' => $post['csc'],
					'reference_code' => $post['reference_code'],
					'title' => $post['title'],
					'name' => $post['name'],
					'phone' => $post['phone'],
					'alt_phone' => $post['alt_phone'],
					'whatsapp' => $post['whatsapp'],
					'email' => $post['email'],
					'password' => md5($post['password']),
					'country' => $post['country'],
					'state' => $post['state'],
					'city' => $post['city'],
					'tehsil' => $post['tehsil'],
					'block' => $post['block'],
					'village' => $post['village'],
					'address' => $post['address'],
					'pin' => $post['pin'],
					'status' => $status
				);
			} else {
				$data = array(
					'distributer' => $post['distributer'],
					'dealer' => $post['dealer'],
					'csc' => $post['csc'],
					'reference_code' => $post['reference_code'],
					'title' => $post['title'],
					'name' => $post['name'],
					'phone' => $post['phone'],
					'alt_phone' => $post['alt_phone'],
					'whatsapp' => $post['whatsapp'],
					'email' => $post['email'],
					'country' => $post['country'],
					'state' => $post['state'],
					'city' => $post['city'],
					'tehsil' => $post['tehsil'],
					'block' => $post['block'],
					'village' => $post['village'],
					'address' => $post['address'],
					'pin' => $post['pin'],
					'status' => $status
				);
			}

			$this->home_model->update1('tbl_user', $data, 'id', $post['id']);
			$this->session->set_flashdata('success','Customer Update Successfully!!');
			redirect(base_url('customer/view'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('customer/edit/'.$post['id']));
		}

	}

	

	public function delete($id){
		$this->db->delete('tbl_user', array('id' => $id));
		$this->session->set_flashdata('success','Customer Delete Successfully!!');
	    redirect(base_url('customer/view'));
	}

	public function ajaxGetState(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_states WHERE country_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select State</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetCity(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_cities WHERE state_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select City</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetTehsil(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_tehsil WHERE city_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select Tehsil</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetBlock(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_block WHERE tehsil_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select Block</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetVillage(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_village WHERE block_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select Village</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetDealer(){
		$id = $this->input->post('id');
		if(!empty($id)){
			if($this->session->userdata('sess_cust_type') == '2'){
				$sqlQry = " ";
			} else if($this->session->userdata('sess_cust_type') == '3'){
				$sqlQry = " AND id = '".$this->session->userdata('sess_id')."'";
			} else if($this->session->userdata('sess_cust_type') == '4'){
				$sqlQry = " AND id = '".$this->session->userdata('sess_dealer')."'";
			} else {
				$sqlQry = " ";
			}
			$sql = $this->db->query("select id, title, name from tbl_user WHERE distributer = ".$id." AND cust_type = '3' {$sqlQry} order by id DESC");
			$Subcat = $sql->result();
			echo "<option>Select Dealer</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->title . " " . $sCat->name."</option>";
			}
		}
	}

	public function ajaxGetCsc(){
		$id = $this->input->post('id');
		if(!empty($id)){
			if($this->session->userdata('sess_cust_type') == '2'){
				$sqlQry = " ";
			} else if($this->session->userdata('sess_cust_type') == '3'){
				$sqlQry = " ";
			} else if($this->session->userdata('sess_cust_type') == '4'){
				$sqlQry = " AND id = '".$this->session->userdata('sess_id')."'";
			} else {
				$sqlQry = " ";
			}
			$sql = $this->db->query("select id, title, name from tbl_user WHERE dealer = ".$id." AND cust_type = '4' {$sqlQry} order by id DESC");
			$Subcat = $sql->result();
			echo "<option>Select CSC</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->title . " " . $sCat->name."</option>";
			}
		}
	}

	public function ajaxrefDetails(){
		$vals = $this->input->post('vals');
		if(!empty($vals)){
			$id = str_replace("SAPSON", "", $vals);
			$sql = $this->db->query("select id, title, name from tbl_user WHERE id = ".$id." LIMIT 0, 1");
			$Subcat = $sql->result();
			foreach ($Subcat as $sCat) {
				echo $sCat->title . " " . $sCat->name;
			}
		}
	}

	public function ajaxPhoneAvl(){
		$phone = $this->input->post('phone');
		if(!empty($phone)){
			$sql = $this->db->query("select id from tbl_user WHERE phone = '".$phone."'");
			if($sql->num_rows() > 0){
				echo "yes";
			}
		}
	}

	public function ajaxEmailAvl(){
		$email = $this->input->post('email');
		if(!empty($email)){
			$sql = $this->db->query("select id from tbl_user WHERE email = '".$email."'");
			if($sql->num_rows() > 0){
				echo "yes";
			}
		}
	}


	public function active($id){
		$upd = array('status' => 'Active');
		$this->home_model->update1('tbl_user', $upd, 'id', $id);
		$this->session->set_flashdata('success','Status Update Successfully!!');
	    redirect(base_url('customer/view'));
	}

	public function inactive($id){
		$upd = array('status' => 'InActive');
		$this->home_model->update1('tbl_user', $upd, 'id', $id);
		$this->session->set_flashdata('success','Status Update Successfully!!');
	    redirect(base_url('customer/view'));
	}

	public function _do_upload($filename){
		$config['upload_path']          = './assets/uploads/';
		$config['allowed_types']        = '*';
        $this->load->library('upload', $config);
        if ( ! $this->upload->do_upload($filename)){
            return false;
        } else {
            $data = array('upload_data' => $this->upload->data());
            return $post[$filename] = $data['upload_data']['file_name'];
        }
    }

    public function user_ip_address(){
		if(!empty($_SERVER['HTTP_CLIENT_IP'])){
	        //ip from share internet
	        $ip = $_SERVER['HTTP_CLIENT_IP'];
	    }elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
	        //ip pass from proxy
	        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	    }else{
	        $ip = $_SERVER['REMOTE_ADDR'];
	    }
	    return $ip;
	}

    public function currentDateTime(){
    	date_default_timezone_set('Asia/Calcutta');
    	return $date=date("Y-m-d H:i:s");
    }

	

}
