<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dashboard extends CI_Controller {

	public function __construct(){
		error_reporting(0);
		parent::__construct();
		$this->load->model('home_model');
		date_default_timezone_set('Asia/Calcutta');
		$this->load->library('email');

		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}


		

	}

	public function index(){

		if( ! $this->session->userdata('sess_id')){
          	return  redirect(base_url());
        }

		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Dashboard | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'home';
		$data['submenu'] = '';

		if( !empty($this->input->get('month'))){
			$data['month_get'] = $this->input->get('month');
			$month = $this->input->get('month');
		} else{
			$data['month_get'] = "";
			$month = date('m', strtotime("-1 month"));
		}
		if( !empty($this->input->get('year'))){
			$data['year_get'] = $this->input->get('year');
			$year = $this->input->get('year');
		} else{
			$data['year_get'] = "";
			$year = date('Y');
		}
		if( !empty($this->input->get('user'))){
			$data['user_get'] = $this->input->get('user');
		} else{
			$data['user_get'] = "";
		}

		$firstDayPrevMonth = date($year.'-'.$month.'-d', strtotime('first day of last month'));
		$lastDayPrevMonth = date($year.'-'.$month.'-d', strtotime('last day of last month'));

		// Total Sales
		$data['tot_price']="0";
		$data['tot_received'] ="0";
		$data['dist_commission'] ="0";
		$data['dist_commission_payed'] ="0";
		$data['dealer_commission'] ="0";
		$data['dealer_commission_payed'] ="0";
		$data['csc_commission'] ="0";
		$data['csc_commission_payed'] ="0";
		if( !empty($this->input->get('month')) && !empty($this->input->get('year'))){
			if( !empty($this->input->get('user')) ){
				$sqlQry = " AND (distributer = '".$this->input->get('user')."' || dealer = '".$this->input->get('user')."' || csc = '".$this->input->get('user')."')";
			} else {
				if($this->session->userdata('sess_cust_type') == '2'){
					$sqlQry = " AND distributer = '".$this->session->userdata('sess_id')."'";
				} else if($this->session->userdata('sess_cust_type') == '3'){
					$sqlQry = " AND dealer = '".$this->session->userdata('sess_id')."'";
				} else if($this->session->userdata('sess_cust_type') == '4'){
					$sqlQry = " AND csc = '".$this->session->userdata('sess_id')."'";
				} else {
					$sqlQry = " ";
				}
			}
			$sql = $this->db->query("SELECT SUM(price) as tot_price, SUM(tot_received) as tot_received, SUM(commission_dist) as commission_dist, SUM(commission_dealer) as commission_dealer, SUM(commission_csc) as commission_csc, SUM(commission_rcvd_dist) as commission_rcvd_dist, SUM(commission_rcvd_dealer) as commission_rcvd_dealer, SUM(commission_rcvd_csc) as commission_rcvd_csc FROM `tbl_enquiry` WHERE 1 AND status = 'Installation Complete' AND (add_date BETWEEN '".$firstDayPrevMonth."' AND '".$lastDayPrevMonth."') {$sqlQry} ");
			foreach($sql->result() as $row){
				$data['tot_price'] = $row->tot_price;
				$data['tot_received'] = $row->tot_received;
				$data['dist_commission'] = $row->commission_dist;
				$data['dist_commission_payed'] = $row->commission_rcvd_dist;
				$data['dealer_commission'] = $row->commission_dealer;
				$data['dealer_commission_payed'] = $row->commission_rcvd_dealer;
				$data['csc_commission'] = $row->commission_csc;
				$data['csc_commission_payed'] = $row->commission_rcvd_csc;
			}
		}

		
		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/dashboard/dashboard');
		$this->load->view('pages/inc/footer');
	}

	public function manage_profile(){
		if( ! $this->session->userdata('sess_id')){
          	return  redirect(base_url());
        }

        $edit = $this->home_model->get_where('sm_register', 'id', $this->session->userdata('sess_id'));
        if( !empty($edit)){
        	foreach ($edit as $row) {
	        	$data['id'] = $row->id;
	        	$data['name'] = $row->name;
	        	$data['email'] = $row->email;
	        	$data['phone'] = $row->phone;
	        	$data['brand'] = $row->brand;
	        	$data['business_name'] = $row->business_name;
	        	$data['business_email'] = $row->business_email;
	        	$data['billing_address'] = $row->billing_address;
	        	$data['start_date'] = $row->start_date;
	        	$data['end_date'] = $row->end_date;
	        	$data['logo'] = $row->logo;
	        }
        } else {
        	$this->session->set_flashdata('error', 'Invalid Email!!!');
			redirect(base_url());
        }

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Manage Profile | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		$data['menu'] = 'dashboard';
		$data['submenu'] = '';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/dashboard/manage_profile');
		$this->load->view('pages/inc/footer');
	}

	public function updateProfile(){
		$post = $this->input->post();
		if(!empty($post['name']) && !empty($post['email']) && !empty($post['phone']) ){

			$emailExist = $this->home_model->findValue_isnot($post['email'], 'email', $this->session->userdata('sess_id'), 'id', 'sm_register');
			if($emailExist) {
				$this->session->set_flashdata('error', 'Email <b>'.$post['email'].'</b> Already Register!!!');
				redirect(base_url('manage-profile.html'));
				die();
			}

			$phoneExist = $this->home_model->findValue_isnot($post['phone'], 'phone', $this->session->userdata('sess_id'), 'id', 'sm_register');
			if($phoneExist) {
				$this->session->set_flashdata('error', 'Phone <b>'.$post['phoneExist'].'</b> Already Register!!!');
				redirect(base_url('manage-profile.html'));
				die();
			}


			// Update Image
		    if( $this->_do_upload('photo')){
			    $fileName1 = $this->upload->data('file_name');
			    if( ! empty($fileName1)){
			    	// Remove Old Image if new one is updated
					$imageRemove = $this->input->post('current_photo');
					$imageLink=base_url("assets/admin/uploads/".$imageRemove);
					$dd = substr($imageLink, strlen(base_url()));
			        unlink($dd);

			        $uploadImage1 = $fileName1;
			    } else {
			        $uploadImage1 = $this->input->post('current_photo');
			    }
			} else{
				$uploadImage1 = $this->input->post('current_photo');
			}

			$data = array(
				'name' => $post['name'],
				'email' => $post['email'],
				'phone' => $post['phone'],
				'business_name' => $post['business_name'],
				'business_email' => $post['business_email'],
				'brand' => $post['brand'],
				'billing_address' => $post['billing_address'],
				'logo' => $uploadImage1
			);
			$this->home_model->update('sm_register', $data, $this->session->userdata('sess_id'));
			$this->session->set_flashdata('success','Your Profile Details updated Successfully!!');
	    		redirect(base_url('manage-profile.html'));

		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('manage-profile.html'));
		}
	}


	


	public function _do_upload($filename){
		$config['upload_path']          = './assets/uploads/';
		$config['allowed_types']        = '*';
        $this->load->library('upload', $config);
        if ( ! $this->upload->do_upload($filename)){
            return false;
        } else {
            $data = array('upload_data' => $this->upload->data());
            return $post[$filename] = $data['upload_data']['file_name'];
        }
    }

    public function user_ip_address(){
		if(!empty($_SERVER['HTTP_CLIENT_IP'])){
	        //ip from share internet
	        $ip = $_SERVER['HTTP_CLIENT_IP'];
	    }elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
	        //ip pass from proxy
	        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	    }else{
	        $ip = $_SERVER['REMOTE_ADDR'];
	    }
	    return $ip;
	}

    public function currentDateTime(){
    	date_default_timezone_set('Asia/Calcutta');
    	return $date=date("Y-m-d H:i:s");
    }

	

}
