<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dealer extends CI_Controller {

	public function __construct(){
		error_reporting(0);
		parent::__construct();
		$this->load->model('home_model');
		date_default_timezone_set('Asia/Calcutta');
		$this->load->library('email');

		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}
	}

	public function index(){

		
	}

	public function view(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  }

	 

	  $title = base_url(); $parts = parse_url($title);
	  $data['meta_title'] = "Dealer Management | ". $parts['host'];
	  $data['meta_keyword'] = "";
	  $data['meta_description'] = "";

	  
	  $data['menu'] = 'user';
	  $data['submenu'] = 'dealer';

	  $this->load->view('pages/inc/header', $data);
	  $this->load->view('pages/dealer/view');
	  $this->load->view('pages/inc/footer');
	}

	public function add(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}

		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add Dealer | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'user';
		$data['submenu'] = 'dealer';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/dealer/add');
		$this->load->view('pages/inc/footer');
	}

	public function addDealer(){
		$post = $this->input->post();
		
		$ckeck = $this->home_model->findValue($post['email'], 'email', 'tbl_user');
		if( !empty($ckeck)){
			$this->session->set_flashdata('error','Email <b>('.$post["email"].')</b> Already Exists!!');
			redirect(base_url('dealer/add'));
			die();
		}

		$ckeck = $this->home_model->findValue($post['phone'], 'phone', 'tbl_user');
		if( !empty($ckeck)){
			$this->session->set_flashdata('error','Phone <b>('.$post["phone"].')</b> Already Exists!!');
			redirect(base_url('dealer/add'));
			die();
		}

		if($this->session->userdata('sess_cust_type') == '1'){
			$status = $post['status'];
		} else {
			$status = "InActive";
		}

		if(!empty($post['name'])){

			// Image Uploads
			$this->_do_upload('user_image');
			$fileName1 = $this->upload->data('file_name');

			$this->_do_upload('adhar_image');
			$fileName2 = $this->upload->data('file_name');

			$this->_do_upload('pan_image');
			$fileName3 = $this->upload->data('file_name');

			$this->_do_upload('cancel_cheque');
			$fileName4 = $this->upload->data('file_name');

			$this->_do_upload('gst_certificate');
			$fileName5 = $this->upload->data('file_name');

			$data = array(
				'distributer' => $post['distributer'],
				'reference_code' => $post['reference_code'],
				'title' => $post['title'],
				'name' => $post['name'],
				'company_name' => $post['company_name'],
				'organisation' => $post['organisation'],
				'phone' => $post['phone'],
				'alt_phone' => $post['alt_phone'],
				'whatsapp' => $post['whatsapp'],
				'email' => $post['email'],
				'password' => md5($post['password']),
				'country' => $post['country'],
				'state' => $post['state'],
				'city' => $post['city'],
				'tehsil' => $post['tehsil'],
				'block' => $post['block'],
				'village' => $post['village'],
				'address' => $post['address'],
				'pin' => $post['pin'],
				'bank_name' => $post['bank_name'],
				'acc_no' => $post['acc_no'],
				'acc_hlder_name' => $post['acc_hlder_name'],
				'ifsc_code' => $post['ifsc_code'],
				'micr_code' => $post['micr_code'],
				'pan_no' => $post['pan_no'],
				'sec_amount_one' => $post['sec_amount_one'],
				'sec_amount_two' => $post['sec_amount_two'],
				'gst_no' => $post['gst_no'],
				'gst_date' => $post['gst_date'],
				/*'country_terr' => $post['country_terr'],
				'state_terr' => $post['state_terr'],
				'city_terr' => $post['city_terr'],
				'tehsil_terr' => $post['tehsil_terr'],*/
				'proprietary_pers' => $post['proprietary_pers'],
				'country_pers' => $post['country_pers'],
				'state_pers' => $post['state_pers'],
				'city_pers' => $post['city_pers'],
				'tehsil_pers' => $post['tehsil_pers'],
				'block_pers' => $post['block_pers'],
				'village_pers' => $post['village_pers'],
				'pin_pers' => $post['pin_pers'],
				'status' => $status,
				'cust_type' => '3',
				'commission' => $post['commission'],
				'user_image' => $fileName1,
				'adhar_image' => $fileName2,
				'pan_image' => $fileName3,
				'cancel_cheque' => $fileName4,
				'gst_certificate' => $fileName5,
				'added_by' => $this->session->userdata('sess_id'),
				'add_type' => $this->session->userdata('sess_cust_type')
			);
			$this->home_model->insert('tbl_user', $data);
			$this->session->set_flashdata('success','Dealer Add Successfully!!');
		    redirect(base_url('dealer/view'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('dealer/add'));
		}
	}

	public function edit($id){
		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Edit Dealer | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'user';
		$data['submenu'] = 'dealer';
		$data['id'] = $id;

		$this->load->view('pages/inc/header', $data);
	  	$this->load->view('pages/dealer/edit');
	  	$this->load->view('pages/inc/footer');
	}

	public function updateDealer(){
		$post = $this->input->post();

		if( !empty($post['name']) && !empty($post['email']) ){

			$ckeck = $this->home_model->findValue_isnot($post['email'], 'email', $post['id'], 'id', 'tbl_user');
			if( !empty($ckeck)){
				$this->session->set_flashdata('error','Email <b>('.$post["email"].')</b> Already Exists!!');
	    		redirect(base_url('dealer/edit/'.$post['id']));
	    		die();
			}

			$ckeck = $this->home_model->findValue_isnot($post['phone'], 'phone', $post['id'], 'id', 'tbl_user');
			if( !empty($ckeck)){
				$this->session->set_flashdata('error','Phone <b>('.$post["phone"].')</b> Already Exists!!');
	    		redirect(base_url('dealer/edit/'.$post['id']));
	    		die();
			}

			if($this->session->userdata('sess_cust_type') == '1'){
				$status = $post['status'];
			} else {
				$sqlStatus = $this->db->query("SELECT `status` FROM tbl_user WHERE id = '".$post['id']."'");
				foreach($sqlStatus() as $rowS){
					$status = $rowS->status;
				}
			}

			// Update Image
		    if( $this->_do_upload('user_image')){
			    $fileName1 = $this->upload->data('file_name');
			    if( ! empty($fileName1)){
			    	$uploadImage1 = $fileName1;
			    } else {
			        $uploadImage1 = $this->input->post('user_image_old');
			    }
			} else{
				$uploadImage1 = $this->input->post('user_image_old');
			}

			if( $this->_do_upload('adhar_image')){
			    $fileName2 = $this->upload->data('file_name');
			    if( ! empty($fileName2)){
			    	$uploadImage2 = $fileName2;
			    } else {
			        $uploadImage2 = $this->input->post('adhar_image_old');
			    }
			} else{
				$uploadImage2 = $this->input->post('adhar_image_old');
			}

			if( $this->_do_upload('pan_image')){
			    $fileName2 = $this->upload->data('file_name');
			    if( ! empty($fileName2)){
			    	$uploadImage3 = $fileName2;
			    } else {
			        $uploadImage3 = $this->input->post('pan_image_old');
			    }
			} else{
				$uploadImage3 = $this->input->post('pan_image_old');
			}

			if( $this->_do_upload('cancel_cheque')){
			    $fileName4 = $this->upload->data('file_name');
			    if( ! empty($fileName4)){
			    	$uploadImage4 = $fileName4;
			    } else {
			        $uploadImage4 = $this->input->post('cancel_cheque_old');
			    }
			} else{
				$uploadImage4 = $this->input->post('cancel_cheque_old');
			}

			if( $this->_do_upload('gst_certificate')){
			    $fileName5 = $this->upload->data('file_name');
			    if( ! empty($fileName5)){
			    	$uploadImage5 = $fileName5;
			    } else {
			        $uploadImage5 = $this->input->post('gst_certificate_old');
			    }
			} else{
				$uploadImage5 = $this->input->post('gst_certificate_old');
			}

			if( !empty($post['password']) ){
				$data = array(
					'distributer' => $post['distributer'],
					'reference_code' => $post['reference_code'],
					'title' => $post['title'],
					'name' => $post['name'],
					'company_name' => $post['company_name'],
					'organisation' => $post['organisation'],
					'phone' => $post['phone'],
					'alt_phone' => $post['alt_phone'],
					'whatsapp' => $post['whatsapp'],
					'email' => $post['email'],
					'password' => md5($post['password']),
					'country' => $post['country'],
					'state' => $post['state'],
					'city' => $post['city'],
					'tehsil' => $post['tehsil'],
					'block' => $post['block'],
					'village' => $post['village'],
					'address' => $post['address'],
					'pin' => $post['pin'],
					'bank_name' => $post['bank_name'],
					'acc_no' => $post['acc_no'],
					'acc_hlder_name' => $post['acc_hlder_name'],
					'ifsc_code' => $post['ifsc_code'],
					'micr_code' => $post['micr_code'],
					'pan_no' => $post['pan_no'],
					'sec_amount_one' => $post['sec_amount_one'],
					'sec_amount_two' => $post['sec_amount_two'],
					'gst_no' => $post['gst_no'],
					'gst_date' => $post['gst_date'],
					/*'country_terr' => $post['country_terr'],
					'state_terr' => $post['state_terr'],
					'city_terr' => $post['city_terr'],
					'tehsil_terr' => $post['tehsil_terr'],*/
					'proprietary_pers' => $post['proprietary_pers'],
					'country_pers' => $post['country_pers'],
					'state_pers' => $post['state_pers'],
					'city_pers' => $post['city_pers'],
					'tehsil_pers' => $post['tehsil_pers'],
					'block_pers' => $post['block_pers'],
					'village_pers' => $post['village_pers'],
					'pin_pers' => $post['pin_pers'],
					'status' => $status,
					'commission' => $post['commission'],
					'user_image' => $uploadImage1,
					'adhar_image' => $uploadImage2,
					'pan_image' => $uploadImage3,
					'cancel_cheque' => $uploadImage4,
					'gst_certificate' => $uploadImage5
				);
			} else {
				$data = array(
					'distributer' => $post['distributer'],
					'reference_code' => $post['reference_code'],
					'title' => $post['title'],
					'name' => $post['name'],
					'company_name' => $post['company_name'],
					'organisation' => $post['organisation'],
					'phone' => $post['phone'],
					'alt_phone' => $post['alt_phone'],
					'whatsapp' => $post['whatsapp'],
					'email' => $post['email'],
					'country' => $post['country'],
					'state' => $post['state'],
					'city' => $post['city'],
					'tehsil' => $post['tehsil'],
					'block' => $post['block'],
					'village' => $post['village'],
					'address' => $post['address'],
					'pin' => $post['pin'],
					'bank_name' => $post['bank_name'],
					'acc_no' => $post['acc_no'],
					'acc_hlder_name' => $post['acc_hlder_name'],
					'ifsc_code' => $post['ifsc_code'],
					'micr_code' => $post['micr_code'],
					'pan_no' => $post['pan_no'],
					'sec_amount_one' => $post['sec_amount_one'],
					'sec_amount_two' => $post['sec_amount_two'],
					'gst_no' => $post['gst_no'],
					'gst_date' => $post['gst_date'],
					/*'country_terr' => $post['country_terr'],
					'state_terr' => $post['state_terr'],
					'city_terr' => $post['city_terr'],
					'tehsil_terr' => $post['tehsil_terr'],*/
					'proprietary_pers' => $post['proprietary_pers'],
					'country_pers' => $post['country_pers'],
					'state_pers' => $post['state_pers'],
					'city_pers' => $post['city_pers'],
					'tehsil_pers' => $post['tehsil_pers'],
					'block_pers' => $post['block_pers'],
					'village_pers' => $post['village_pers'],
					'pin_pers' => $post['pin_pers'],
					'status' => $status,
					'commission' => $post['commission'],
					'user_image' => $uploadImage1,
					'adhar_image' => $uploadImage2,
					'pan_image' => $uploadImage3,
					'cancel_cheque' => $uploadImage4,
					'gst_certificate' => $uploadImage5
				);
			}

			$this->home_model->update1('tbl_user', $data, 'id', $post['id']);
			$this->session->set_flashdata('success','Dealer Update Successfully!!');
			redirect(base_url('dealer/view'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('dealer/edit/'.$post['id']));
		}

	}

	

	public function delete($id){
		$this->db->delete('tbl_user', array('id' => $id));
		$this->session->set_flashdata('success','Dealer Delete Successfully!!');
	    redirect(base_url('dealer/view'));
	}

	public function ajaxGetState(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_states WHERE country_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select State</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetCity(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_cities WHERE state_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select City</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetTehsil(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_tehsil WHERE city_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select Tehsil</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetBlock(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_block WHERE tehsil_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select Block</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxGetVillage(){
		$id = $this->input->post('id');
		if(!empty($id)){
			$sql = $this->db->query('select id, name from tbl_village WHERE block_id = '.$id.' order by id DESC');
			$Subcat = $sql->result();
			echo "<option>Select Village</option>";
			foreach ($Subcat as $sCat) {
				echo "<option value='". $sCat->id ."'>" .$sCat->name."</option>";
			}
		}
	}

	public function ajaxrefDetails(){
		$vals = $this->input->post('vals');
		if(!empty($vals)){
			$id = str_replace("SAPSON", "", $vals);
			$sql = $this->db->query("select id, title, name from tbl_user WHERE id = ".$id." LIMIT 0, 1");
			$Subcat = $sql->result();
			foreach ($Subcat as $sCat) {
				echo $sCat->title . " " . $sCat->name;
			}
		}
	}

	public function ajaxPhoneAvl(){
		$phone = $this->input->post('phone');
		if(!empty($phone)){
			$sql = $this->db->query("select id from tbl_user WHERE phone = '".$phone."'");
			if($sql->num_rows() > 0){
				echo "yes";
			}
		}
	}

	public function ajaxEmailAvl(){
		$email = $this->input->post('email');
		if(!empty($email)){
			$sql = $this->db->query("select id from tbl_user WHERE email = '".$email."'");
			if($sql->num_rows() > 0){
				echo "yes";
			}
		}
	}

	public function active($id){
		$upd = array('status' => 'Active');
		$this->home_model->update1('tbl_user', $upd, 'id', $id);
		$this->session->set_flashdata('success','Status Update Successfully!!');
	    redirect(base_url('dealer/view'));
	}

	public function inactive($id){
		$upd = array('status' => 'InActive');
		$this->home_model->update1('tbl_user', $upd, 'id', $id);
		$this->session->set_flashdata('success','Status Update Successfully!!');
	    redirect(base_url('dealer/view'));
	}

	

	public function _do_upload($filename){
		$config['upload_path']          = './assets/uploads/';
		$config['allowed_types']        = '*';
        $this->load->library('upload', $config);
        if ( ! $this->upload->do_upload($filename)){
            return false;
        } else {
            $data = array('upload_data' => $this->upload->data());
            return $post[$filename] = $data['upload_data']['file_name'];
        }
    }

    public function user_ip_address(){
		if(!empty($_SERVER['HTTP_CLIENT_IP'])){
	        //ip from share internet
	        $ip = $_SERVER['HTTP_CLIENT_IP'];
	    }elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
	        //ip pass from proxy
	        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	    }else{
	        $ip = $_SERVER['REMOTE_ADDR'];
	    }
	    return $ip;
	}

    public function currentDateTime(){
    	date_default_timezone_set('Asia/Calcutta');
    	return $date=date("Y-m-d H:i:s");
    }

	

}
