<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Location extends CI_Controller {

	public function __construct(){
		error_reporting(0);
		parent::__construct();
		$this->load->model('home_model');
		$this->load->model('miscellaneous_model');
		date_default_timezone_set('Asia/Calcutta');
		$this->load->library('email');
	}

	public function index(){ }

	// ==== Country -=============== 
	public function countries(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'country';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Countries | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		//===================

		if( !empty($this->input->get('page'))){
			$getPage = $this->input->get('page');
		} else{
			$getPage = 0;
		}

		if( !empty($this->input->get('key'))){
			$data['key_get'] = $this->input->get('key');
		} else{
			$data['key_get'] = '';
		}


		$data['url'] = 'country.html';
		$data['getPage'] = $getPage;
		$data['offset'] = 15;

		$data['page'] = $getPage;
		if($data['page'] == "0" || $data['page'] == "1"){
			$data['page1']=0;
			$data['z'] = 0;
		} else {
			$data['page1'] = ($data['page']*$data['offset'])-$data['offset'];
			$data['z'] = ($data['page']*$data['offset'])-$data['offset'];
		}

		$data['country'] = $this->miscellaneous_model->country($data['key_get'], $data['page1'], $data['offset']);
		$data['catNumRows'] = $this->miscellaneous_model->country_count($data['key_get']);

		//===================

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/country/view');
		$this->load->view('pages/inc/footer');
	}

	public function countries_add(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'country';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add Country | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/country/add');
		$this->load->view('pages/inc/footer');
	}

	public function country( $id){

		if( ! $this->session->userdata('sess_id')){
          	return  redirect(base_url());
        }

        $id = str_replace(".html","", $id);
        $edit = $this->home_model->get_where('tbl_countries', 'id_hash', $id);
        if( !empty($edit)){
        	foreach ($edit as $row) {
	        	$data['id'] = $row->id;
	        	$data['id_hash'] = $row->id_hash;
	        	$data['name'] = $row->name;
	        	$data['sortname'] = $row->sortname;
				$data['phonecode'] = $row->phonecode;
	        }
        } else {
        	$data['id'] = "";
        	$data['id_hash'] = "";
        	$data['name'] = "";
        	$data['sortname'] = "";
			$data['phonecode'] = "";
        }


		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Country Update | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'location';
		$data['submenu'] = 'country';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/country/edit');
		$this->load->view('pages/inc/footer');
	}

	public function SaveCountry(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'sortname' => $post['sortname'],
				'name' => $post['name'],
				'phonecode' => $post['phonecode']
			);

			$seaExist = $this->db->query("SELECT * FROM tbl_countries WHERE name = '".$post['name']."'");
			if($seaExist->num_rows() > 0) {
				$this->session->set_flashdata('error', 'Country <b>'.$post['name'].'</b> Already Exists!!!');
				redirect(base_url('location/countries_add'));
				die();
			}
			// insert
			$this->home_model->insert('tbl_countries', $data);
			$last_id = $this->db->insert_id();
			$data1 = array(
				'id_hash' => md5($last_id)
			);
			$this->home_model->update('tbl_countries', $data1, $last_id);
			$this->session->set_flashdata('success', 'Country Inserted Successfully!!!');
			redirect(base_url('location/countries'));
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/countries_add'));
		}
	}

	public function UpdateCountry(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'sortname' => $post['sortname'],
				'name' => $post['name'],
				'phonecode' => $post['phonecode']
			);

			if(!empty($post['id'])){
				$seaExist = $this->db->query("SELECT * FROM tbl_countries WHERE name = '".$post['name']."' and id !='".$post['id']."'");
				if($seaExist->num_rows() > 0) {
					$this->session->set_flashdata('error', 'Country <b>'.$post['name'].'</b> Already Exists!!!');
					redirect(base_url('location/countries'));
					die();
				}
				// update
				$this->home_model->update('tbl_countries', $data, $post['id']);
				$this->session->set_flashdata('success', 'Country Updated Successfully!!!');
				redirect(base_url('location/countries'));
			} else {
				$seaExist = $this->db->query("SELECT * FROM tbl_countries WHERE name = '".$post['name']."'");
				if($seaExist->num_rows() > 0) {
					$this->session->set_flashdata('error', 'Country <b>'.$post['name'].'</b> Already Exists!!!');
					redirect(base_url('location/countries'));
					die();
				}
				// insert
				$this->home_model->insert('tbl_countries', $data);
				$last_id = $this->db->insert_id();
				$data1 = array(
					'id_hash' => md5($last_id)
				);
				$this->home_model->update('tbl_countries', $data1, $last_id);
				$this->session->set_flashdata('success', 'Country Inserted Successfully!!!');
				redirect(base_url('location/countries'));
			} 
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/countries'));
		}

		
	}

	public function countryDel( $id){

		$this->db->delete('tbl_countries', array('id' => $id));
		$this->session->set_flashdata('success', 'Country Deleted Successfully!!');
		redirect(base_url('location/countries'));
		
	}
	// ======== #Country #END ======

	// ==== State -=============== 
	public function states(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'state';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "States | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";



		//===================

		if( !empty($this->input->get('page'))){
			$getPage = $this->input->get('page');
		} else{
			$getPage = 0;
		}

		if( !empty($this->input->get('key'))){
			$data['key_get'] = $this->input->get('key');
		} else{
			$data['key_get'] = '';
		}

		if( !empty($this->input->get('country'))){
			$data['country_get'] = $this->input->get('country');
		} else{
			$data['country_get'] = '';
		}

		$data['url'] = 'state.html';
		$data['getPage'] = $getPage;
		$data['offset'] = 15;

		$data['page'] = $getPage;
		if($data['page'] == "0" || $data['page'] == "1"){
			$data['page1']=0;
			$data['z'] = 0;
		} else {
			$data['page1'] = ($data['page']*$data['offset'])-$data['offset'];
			$data['z'] = ($data['page']*$data['offset'])-$data['offset'];
		}

		$data['state'] = $this->miscellaneous_model->state($data['key_get'], $data['country_get'], $data['page1'], $data['offset']);
		$data['catNumRows'] = $this->miscellaneous_model->state_count($data['key_get'], $data['country_get']);

		//===================

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/state/view');
		$this->load->view('pages/inc/footer');
	}

	public function state_add(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'state';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add State | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/state/add');
		$this->load->view('pages/inc/footer');
	}

	public function state( $id){

		if( ! $this->session->userdata('sess_id')){
          	return  redirect(base_url());
        }

        $id = str_replace(".html","", $id);
        $edit = $this->home_model->get_where('tbl_states', 'id_hash', $id);
        if( !empty($edit)){
        	foreach ($edit as $row) {
	        	$data['id'] = $row->id;
	        	$data['id_hash'] = $row->id_hash;
	        	$data['name'] = $row->name;
	        	$data['country_id'] = $row->country_id;
	        }
        } else {
        	$data['id'] = "";
        	$data['id_hash'] = "";
        	$data['name'] = "";
        	$data['country_id'] = "";
        }


		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "State Update | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'location';
		$data['submenu'] = 'state';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/state/edit');
		$this->load->view('pages/inc/footer');
	}

	public function SaveState(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'name' => $post['name'],
				'country_id' => $post['country_id']
			);

			$seaExist = $this->db->query("SELECT * FROM tbl_states WHERE name = '".$post['name']."'");
			if($seaExist->num_rows() > 0) {
				$this->session->set_flashdata('error', 'State <b>'.$post['name'].'</b> Already Exists!!!');
				redirect(base_url('location/states'));
				die();
			}
			// insert
			$this->home_model->insert('tbl_states', $data);
			$last_id = $this->db->insert_id();
			$data1 = array(
				'id_hash' => md5($last_id)
			);
			$this->home_model->update('tbl_states', $data1, $last_id);
			$this->session->set_flashdata('success', 'State Inserted Successfully!!!');
			redirect(base_url('location/states'));
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/states'));
		}	
	}

	public function UpdateState(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'name' => $post['name'],
				'country_id' => $post['country_id']
			);

			$seaExist = $this->db->query("SELECT * FROM tbl_states WHERE name = '".$post['name']."' and id !='".$post['id']."'");
			if($seaExist->num_rows() > 0) {
				$this->session->set_flashdata('error', 'State <b>'.$post['name'].'</b> Already Exists!!!');
				redirect(base_url('location/states'));
				die();
			}
			// update
			$this->home_model->update('tbl_states', $data, $post['id']);
			$this->session->set_flashdata('success', 'State Updated Successfully!!!');
			redirect(base_url('location/states'));
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/states'));
		}
	}

	public function stateDel( $id){

		$this->db->delete('tbl_states', array('id' => $id));
		$this->session->set_flashdata('success', 'State Deleted Successfully!!');
		redirect(base_url('location/states'));
		
	}
	// ======== #State #END ======

	// ==== City -=============== 
	public function cities(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'city';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Cities | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		//===================

		if( !empty($this->input->get('page'))){
			$getPage = $this->input->get('page');
		} else{
			$getPage = 0;
		}

		if( !empty($this->input->get('key'))){
			$data['key_get'] = $this->input->get('key');
		} else{
			$data['key_get'] = '';
		}

		if( !empty($this->input->get('country'))){
			$data['country_get'] = $this->input->get('country');
		} else{
			$data['country_get'] = '';
		}

		if( !empty($this->input->get('state'))){
			$data['state_get'] = $this->input->get('state');
		} else{
			$data['state_get'] = '';
		}

		$data['url'] = 'city.html';
		$data['getPage'] = $getPage;
		$data['offset'] = 15;

		$data['page'] = $getPage;
		if($data['page'] == "0" || $data['page'] == "1"){
			$data['page1']=0;
			$data['z'] = 0;
		} else {
			$data['page1'] = ($data['page']*$data['offset'])-$data['offset'];
			$data['z'] = ($data['page']*$data['offset'])-$data['offset'];
		}

		$data['city'] = $this->miscellaneous_model->city($data['key_get'], $data['country_get'], $data['state_get'], $data['page1'], $data['offset']);
		$data['catNumRows'] = $this->miscellaneous_model->city_count($data['key_get'], $data['country_get'], $data['state_get']);

		//===================

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/city/view');
		$this->load->view('pages/inc/footer');
	}

	public function city_add(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'city';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add City | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/city/add');
		$this->load->view('pages/inc/footer');
	}

	public function city( $id){

		if( ! $this->session->userdata('sess_id')){
          	return  redirect(base_url());
        }

        $id = str_replace(".html","", $id);
        $edit = $this->home_model->get_where('tbl_cities', 'id_hash', $id);
        if( !empty($edit)){
        	foreach ($edit as $row) {
	        	$data['id'] = $row->id;
	        	$data['id_hash'] = $row->id_hash;
	        	$data['name'] = $row->name;
	        	$data['country_id'] = $row->country_id;
				$data['state_id'] = $row->state_id;
	        }
        } else {
        	$data['id'] = "";
        	$data['id_hash'] = "";
        	$data['name'] = "";
        	$data['country_id'] = "";
			$data['state_id'] = "";
        }


		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "City Update | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'location';
		$data['submenu'] = 'city';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/city/edit');
		$this->load->view('pages/inc/footer');
	}

	public function SaveCity(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'name' => $post['name'],
				'country_id' => $post['country_id'],
				'state_id' => $post['state_id'],
			);

			$seaExist = $this->db->query("SELECT * FROM tbl_cities WHERE name = '".$post['name']."'");
			if($seaExist->num_rows() > 0) {
				$this->session->set_flashdata('error', 'City <b>'.$post['name'].'</b> Already Exists!!!');
				redirect(base_url('location/cities'));
				die();
			}
			// insert
			$this->home_model->insert('tbl_cities', $data);
			$last_id = $this->db->insert_id();
			$data1 = array(
				'id_hash' => md5($last_id)
			);
			$this->home_model->update('tbl_cities', $data1, $last_id);
			$this->session->set_flashdata('success', 'City Inserted Successfully!!!');
			redirect(base_url('location/cities')); 
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/cities'));
		}

		
	}

	public function UpdateCity(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'name' => $post['name'],
				'country_id' => $post['country_id'],
				'state_id' => $post['state_id'],
			);

			$seaExist = $this->db->query("SELECT * FROM tbl_cities WHERE name = '".$post['name']."' and id !='".$post['id']."'");
			if($seaExist->num_rows() > 0) {
				$this->session->set_flashdata('error', 'City <b>'.$post['name'].'</b> Already Exists!!!');
				redirect(base_url('location/cities'));
				die();
			}
			// update
			$this->home_model->update('tbl_cities', $data, $post['id']);
			$this->session->set_flashdata('success', 'City Updated Successfully!!!');
			redirect(base_url('location/cities')); 
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/cities'));
		}

		
	}

	public function cityDel( $id){
		$this->db->delete('tbl_cities', array('id' => $id));
		$this->session->set_flashdata('success', 'City Deleted Successfully!!');
		redirect(base_url('location/cities'));
		
	}
	// ======== #City #END ======

	// ==== Tehsil -=============== 
	public function tehsils(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'tehsil';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Tehsil | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		//===================

		if( !empty($this->input->get('page'))){
			$getPage = $this->input->get('page');
		} else{
			$getPage = 0;
		}

		if( !empty($this->input->get('key'))){
			$data['key_get'] = $this->input->get('key');
		} else{
			$data['key_get'] = '';
		}

		if( !empty($this->input->get('country'))){
			$data['country_get'] = $this->input->get('country');
		} else{
			$data['country_get'] = '';
		}

		if( !empty($this->input->get('state'))){
			$data['state_get'] = $this->input->get('state');
		} else{
			$data['state_get'] = '';
		}
		if( !empty($this->input->get('city'))){
			$data['city_get'] = $this->input->get('city');
		} else{
			$data['city_get'] = '';
		}

		$data['url'] = 'tehsil.html';
		$data['getPage'] = $getPage;
		$data['offset'] = 15;

		$data['page'] = $getPage;
		if($data['page'] == "0" || $data['page'] == "1"){
			$data['page1']=0;
			$data['z'] = 0;
		} else {
			$data['page1'] = ($data['page']*$data['offset'])-$data['offset'];
			$data['z'] = ($data['page']*$data['offset'])-$data['offset'];
		}

		$data['tehsil'] = $this->miscellaneous_model->tehsil($data['key_get'], $data['country_get'], $data['state_get'], $data['city_get'], $data['page1'], $data['offset']);
		$data['catNumRows'] = $this->miscellaneous_model->tehsil_count($data['key_get'], $data['country_get'], $data['state_get'], $data['city_get']);

		//===================

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/tehsil/view');
		$this->load->view('pages/inc/footer');
	}

	public function tehsil_add(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'tehsil';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add Tehsil | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/tehsil/add');
		$this->load->view('pages/inc/footer');
	}

	public function tehsil( $id){

		if( ! $this->session->userdata('sess_id')){
          	return  redirect(base_url());
        }

        $id = str_replace(".html","", $id);
        $edit = $this->home_model->get_where('tbl_tehsil', 'id_hash', $id);
        if( !empty($edit)){
        	foreach ($edit as $row) {
	        	$data['id'] = $row->id;
	        	$data['id_hash'] = $row->id_hash;
	        	$data['name'] = $row->name;
	        	$data['country_id'] = $row->country_id;
				$data['state_id'] = $row->state_id;
				$data['city_id'] = $row->city_id;
	        }
        } else {
        	$data['id'] = "";
        	$data['id_hash'] = "";
        	$data['name'] = "";
        	$data['country_id'] = "";
			$data['state_id'] = "";
			$data['city_id'] = "";
        }


		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Tehsil Update | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'location';
		$data['submenu'] = 'tehsil';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/tehsil/edit');
		$this->load->view('pages/inc/footer');
	}

	public function SaveTehsil(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'name' => $post['name'],
				'country_id' => $post['country_id'],
				'state_id' => $post['state_id'],
				'city_id' => $post['city_id']
			);

			$seaExist = $this->db->query("SELECT * FROM tbl_tehsil WHERE name = '".$post['name']."'");
			if($seaExist->num_rows() > 0) {
				$this->session->set_flashdata('error', 'Tehsil <b>'.$post['name'].'</b> Already Exists!!!');
				redirect(base_url('location/tehsils'));
				die();
			}
			// insert
			$this->home_model->insert('tbl_tehsil', $data);
			$last_id = $this->db->insert_id();
			$data1 = array(
				'id_hash' => md5($last_id)
			);
			$this->home_model->update('tbl_tehsil', $data1, $last_id);
			$this->session->set_flashdata('success', 'Tehsil Inserted Successfully!!!');
			redirect(base_url('location/tehsils')); 
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/tehsils'));
		}

		
	}

	public function UpdateTehsil(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'name' => $post['name'],
				'country_id' => $post['country_id'],
				'state_id' => $post['state_id'],
				'city_id' => $post['city_id']
			);

			$seaExist = $this->db->query("SELECT * FROM tbl_tehsil WHERE name = '".$post['name']."' and id !='".$post['id']."'");
			if($seaExist->num_rows() > 0) {
				$this->session->set_flashdata('error', 'Tehsil <b>'.$post['name'].'</b> Already Exists!!!');
				redirect(base_url('location/tehsils'));
				die();
			}
			// update
			$this->home_model->update('tbl_tehsil', $data, $post['id']);
			$this->session->set_flashdata('success', 'Tehsil Updated Successfully!!!');
			redirect(base_url('location/tehsils')); 
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/tehsils'));
		}

		
	}

	public function tehsilDel( $id){
		$this->db->delete('tbl_tehsil', array('id' => $id));
		$this->session->set_flashdata('success', 'Tehsil Deleted Successfully!!');
		redirect(base_url('location/tehsils'));
		
	}
	// ======== #tehsil #END ======


	// ==== Block -=============== 
	public function blocks(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'block';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Block | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		//===================

		if( !empty($this->input->get('page'))){
			$getPage = $this->input->get('page');
		} else{
			$getPage = 0;
		}

		if( !empty($this->input->get('key'))){
			$data['key_get'] = $this->input->get('key');
		} else{
			$data['key_get'] = '';
		}

		if( !empty($this->input->get('country'))){
			$data['country_get'] = $this->input->get('country');
		} else{
			$data['country_get'] = '';
		}

		if( !empty($this->input->get('state'))){
			$data['state_get'] = $this->input->get('state');
		} else{
			$data['state_get'] = '';
		}
		if( !empty($this->input->get('city'))){
			$data['city_get'] = $this->input->get('city');
		} else{
			$data['city_get'] = '';
		}

		if( !empty($this->input->get('tehsil'))){
			$data['tehsil_get'] = $this->input->get('tehsil');
		} else{
			$data['tehsil_get'] = '';
		}

		$data['url'] = 'block.html';
		$data['getPage'] = $getPage;
		$data['offset'] = 15;

		$data['page'] = $getPage;
		if($data['page'] == "0" || $data['page'] == "1"){
			$data['page1']=0;
			$data['z'] = 0;
		} else {
			$data['page1'] = ($data['page']*$data['offset'])-$data['offset'];
			$data['z'] = ($data['page']*$data['offset'])-$data['offset'];
		}

		$data['block'] = $this->miscellaneous_model->block($data['key_get'], $data['country_get'], $data['state_get'], $data['city_get'], $data['tehsil_get'], $data['page1'], $data['offset']);
		$data['catNumRows'] = $this->miscellaneous_model->block_count($data['key_get'], $data['country_get'], $data['state_get'], $data['city_get'], $data['tehsil_get']);

		//===================

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/block/view');
		$this->load->view('pages/inc/footer');
	}

	public function block_add(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'block';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add Block | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/block/add');
		$this->load->view('pages/inc/footer');
	}

	public function block( $id){

		if( ! $this->session->userdata('sess_id')){
          	return  redirect(base_url());
        }

        $id = str_replace(".html","", $id);
        $edit = $this->home_model->get_where('tbl_block', 'id_hash', $id);
        if( !empty($edit)){
        	foreach ($edit as $row) {
	        	$data['id'] = $row->id;
	        	$data['id_hash'] = $row->id_hash;
	        	$data['name'] = $row->name;
	        	$data['country_id'] = $row->country_id;
				$data['state_id'] = $row->state_id;
				$data['city_id'] = $row->city_id;
				$data['tehsil_id'] = $row->city_id;
	        }
        } else {
        	$data['id'] = "";
        	$data['id_hash'] = "";
        	$data['name'] = "";
        	$data['country_id'] = "";
			$data['state_id'] = "";
			$data['city_id'] = "";
			$data['tehsil_id'] = "";
        }


		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Block Update | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'location';
		$data['submenu'] = 'block';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/block/edit');
		$this->load->view('pages/inc/footer');
	}

	public function SaveBlock(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'name' => $post['name'],
				'country_id' => $post['country_id'],
				'state_id' => $post['state_id'],
				'city_id' => $post['city_id'],
				'tehsil_id' => $post['tehsil_id']
			);

			$seaExist = $this->db->query("SELECT * FROM tbl_block WHERE name = '".$post['name']."'");
			if($seaExist->num_rows() > 0) {
				$this->session->set_flashdata('error', 'Block <b>'.$post['name'].'</b> Already Exists!!!');
				redirect(base_url('location/blocks'));
				die();
			}
			// insert
			$this->home_model->insert('tbl_block', $data);
			$last_id = $this->db->insert_id();
			$data1 = array(
				'id_hash' => md5($last_id)
			);
			$this->home_model->update('tbl_block', $data1, $last_id);
			$this->session->set_flashdata('success', 'Block Inserted Successfully!!!');
			redirect(base_url('location/blocks')); 
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/blocks'));
		}

		
	}

	public function UpdateBlock(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'name' => $post['name'],
				'country_id' => $post['country_id'],
				'state_id' => $post['state_id'],
				'city_id' => $post['city_id'],
				'tehsil_id' => $post['tehsil_id']
			);

			$seaExist = $this->db->query("SELECT * FROM tbl_block WHERE name = '".$post['name']."' and id !='".$post['id']."'");
			if($seaExist->num_rows() > 0) {
				$this->session->set_flashdata('error', 'Block <b>'.$post['name'].'</b> Already Exists!!!');
				redirect(base_url('location/blocks'));
				die();
			}
			// update
			$this->home_model->update('tbl_block', $data, $post['id']);
			$this->session->set_flashdata('success', 'Block Updated Successfully!!!');
			redirect(base_url('location/blocks')); 
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/blocks'));
		}

		
	}

	public function blockDel( $id){
		$this->db->delete('tbl_block', array('id' => $id));
		$this->session->set_flashdata('success', 'Block Deleted Successfully!!');
		redirect(base_url('location/blocks'));
		
	}
	// ======== #Block #END ======

	// ==== Village -=============== 
	public function villages(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'village';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Village | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		//===================

		if( !empty($this->input->get('page'))){
			$getPage = $this->input->get('page');
		} else{
			$getPage = 0;
		}

		if( !empty($this->input->get('key'))){
			$data['key_get'] = $this->input->get('key');
		} else{
			$data['key_get'] = '';
		}

		if( !empty($this->input->get('country'))){
			$data['country_get'] = $this->input->get('country');
		} else{
			$data['country_get'] = '';
		}

		if( !empty($this->input->get('state'))){
			$data['state_get'] = $this->input->get('state');
		} else{
			$data['state_get'] = '';
		}
		if( !empty($this->input->get('city'))){
			$data['city_get'] = $this->input->get('city');
		} else{
			$data['city_get'] = '';
		}

		if( !empty($this->input->get('tehsil'))){
			$data['tehsil_get'] = $this->input->get('tehsil');
		} else{
			$data['tehsil_get'] = '';
		}

		if( !empty($this->input->get('block'))){
			$data['block_get'] = $this->input->get('block');
		} else{
			$data['block_get'] = '';
		}

		$data['url'] = 'village.html';
		$data['getPage'] = $getPage;
		$data['offset'] = 15;

		$data['page'] = $getPage;
		if($data['page'] == "0" || $data['page'] == "1"){
			$data['page1']=0;
			$data['z'] = 0;
		} else {
			$data['page1'] = ($data['page']*$data['offset'])-$data['offset'];
			$data['z'] = ($data['page']*$data['offset'])-$data['offset'];
		}

		$data['village'] = $this->miscellaneous_model->village($data['key_get'], $data['country_get'], $data['state_get'], $data['city_get'], $data['tehsil_get'], $data['block_get'], $data['page1'], $data['offset']);
		$data['catNumRows'] = $this->miscellaneous_model->village_count($data['key_get'], $data['country_get'], $data['state_get'], $data['city_get'], $data['tehsil_get'], $data['block_get']);

		//===================

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/village/view');
		$this->load->view('pages/inc/footer');
	}

	public function village_add(){
		if( !$this->session->userdata('sess_id')){
			return  redirect(base_url());
		}

		$data['menu'] = 'location';
		$data['submenu'] = 'village';

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add Village | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/village/add');
		$this->load->view('pages/inc/footer');
	}

	public function village( $id){

		if( ! $this->session->userdata('sess_id')){
          	return  redirect(base_url());
        }

        $id = str_replace(".html","", $id);
        $edit = $this->home_model->get_where('tbl_village', 'id_hash', $id);
        if( !empty($edit)){
        	foreach ($edit as $row) {
	        	$data['id'] = $row->id;
	        	$data['id_hash'] = $row->id_hash;
	        	$data['name'] = $row->name;
	        	$data['country_id'] = $row->country_id;
				$data['state_id'] = $row->state_id;
				$data['city_id'] = $row->city_id;
				$data['tehsil_id'] = $row->city_id;
				$data['block_id'] = $row->block_id;
	        }
        } else {
        	$data['id'] = "";
        	$data['id_hash'] = "";
        	$data['name'] = "";
        	$data['country_id'] = "";
			$data['state_id'] = "";
			$data['city_id'] = "";
			$data['tehsil_id'] = "";
			$data['block_id'] = "";
        }


		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Village Update | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'location';
		$data['submenu'] = 'village';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/village/edit');
		$this->load->view('pages/inc/footer');
	}

	public function SaveVillage(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'name' => $post['name'],
				'country_id' => $post['country_id'],
				'state_id' => $post['state_id'],
				'city_id' => $post['city_id'],
				'tehsil_id' => $post['tehsil_id'],
				'block_id' => $post['block_id']
			);

			$seaExist = $this->db->query("SELECT * FROM tbl_village WHERE name = '".$post['name']."'");
			if($seaExist->num_rows() > 0) {
				$this->session->set_flashdata('error', 'Village <b>'.$post['name'].'</b> Already Exists!!!');
				redirect(base_url('location/villages'));
				die();
			}
			// insert
			$this->home_model->insert('tbl_village', $data);
			$last_id = $this->db->insert_id();
			$data1 = array(
				'id_hash' => md5($last_id)
			);
			$this->home_model->update('tbl_village', $data1, $last_id);
			$this->session->set_flashdata('success', 'Village Inserted Successfully!!!');
			redirect(base_url('location/villages')); 
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/villages'));
		}

		
	}

	public function UpdateVillage(){
		$post = $this->input->post();

		if(!empty($post['name'])){
			$data=array(
				'name' => $post['name'],
				'country_id' => $post['country_id'],
				'state_id' => $post['state_id'],
				'city_id' => $post['city_id'],
				'tehsil_id' => $post['tehsil_id'],
				'block_id' => $post['block_id']
			);

			$seaExist = $this->db->query("SELECT * FROM tbl_village WHERE name = '".$post['name']."' and id !='".$post['id']."'");
			if($seaExist->num_rows() > 0) {
				$this->session->set_flashdata('error', 'Village <b>'.$post['name'].'</b> Already Exists!!!');
				redirect(base_url('location/villages'));
				die();
			}
			// update
			$this->home_model->update('tbl_village', $data, $post['id']);
			$this->session->set_flashdata('success', 'Village Updated Successfully!!!');
			redirect(base_url('location/villages')); 
		} else {
			$this->session->set_flashdata('error', 'Please Fill All Details!!!');
			redirect(base_url('location/villages'));
		}

		
	}

	public function villageDel( $id){
		$this->db->delete('tbl_village', array('id' => $id));
		$this->session->set_flashdata('success', 'Village Deleted Successfully!!');
		redirect(base_url('location/villages'));
		
	}
	// ======== #Village #END ======

	

	
}
