<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Package extends CI_Controller {

	public function __construct(){
		error_reporting(0);
		parent::__construct();
		$this->load->model('home_model');
		date_default_timezone_set('Asia/Calcutta');
		$this->load->library('email');

		
	}

	public function index(){}

	public function add(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add Package | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'package';
		$data['submenu'] = '';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/package/add');
		$this->load->view('pages/inc/footer');
	}

	public function addPackageName(){
		$post = $this->input->post();
		
		if(!empty($post['name'])){

			// Image Uploads
			$this->_do_upload('photo');
			$fileName1 = $this->upload->data('file_name');


			$data = array(
				'name' => $post['name'],
				'price' => $post['price'],
				'comm_type' => $post['comm_type'],
				'comm_val' => $post['comm_val'],
				'image' => $fileName1,
				'description' => $post['description']
			);
			
			$this->home_model->insert('tbl_package', $data);
			$this->session->set_flashdata('success','Package Add Successfully!!');
		    redirect(base_url('package/add'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('package/add'));
		}
	}

	public function edit($id){
		
		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Edit Package | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'package';
		$data['submenu'] = '';
		$data['id'] = $id;

		$this->load->view('pages/inc/header', $data);
	  	$this->load->view('pages/package/edit');
	  	$this->load->view('pages/inc/footer');
	}

	public function updatePackageName(){
		$post = $this->input->post();

		if( !empty($post['name']) ){

			// Update Image
		    if( $this->_do_upload('photo')){
			    $fileName1 = $this->upload->data('file_name');
			    if( ! empty($fileName1)){
			    	// Remove Old Image if new one is updated
					$imageRemove = $this->input->post('current_photo');
					$imageLink=base_url("assets/admin/uploads/".$imageRemove);
					$dd = substr($imageLink, strlen(base_url()));
			        unlink($dd);

			        $uploadImage1 = $fileName1;
			    } else {
			        $uploadImage1 = $this->input->post('current_photo');
			    }
			} else{
				$uploadImage1 = $this->input->post('current_photo');
			}

			$data = array(
				'name' => $post['name'],
				'price' => $post['price'],
				'comm_type' => $post['comm_type'],
				'comm_val' => $post['comm_val'],
				'image' => $uploadImage1,
				'description' => $post['description']
			);

			$this->home_model->update1('tbl_package', $data, 'id', $post['id']);
			$this->session->set_flashdata('success','Package Update Successfully!!');
			redirect(base_url('package/add'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('package/add'));
		}

	}

	public function delete($id){
		$this->db->delete('tbl_package', array('id' => $id));
		$this->session->set_flashdata('success','Package Delete Successfully!!');
	    redirect(base_url('package/add'));
	}


	public function _do_upload($filename){
		$config['upload_path']          = './assets/uploads/';
		$config['allowed_types']        = '*';
        $this->load->library('upload', $config);
        if ( ! $this->upload->do_upload($filename)){
            return false;
        } else {
            $data = array('upload_data' => $this->upload->data());
            return $post[$filename] = $data['upload_data']['file_name'];
        }
    }

	

}
