<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Support extends CI_Controller {

	public function __construct(){
		error_reporting(0);
		parent::__construct();
		$this->load->model('home_model');
		date_default_timezone_set('Asia/Calcutta');
		$this->load->library('email');

		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}



	}

	public function index(){

		
	}

	public function view(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  }

	  

	  $title = base_url(); $parts = parse_url($title);
	  $data['meta_title'] = "Support Management | ". $parts['host'];
	  $data['meta_keyword'] = "";
	  $data['meta_description'] = "";

	  
	  $data['menu'] = 'support';
	  $data['submenu'] = '';

	  $this->load->view('pages/inc/header', $data);
	  $this->load->view('pages/support/view');
	  $this->load->view('pages/inc/footer');
	}

	public function add(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}

		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add Support | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'support';
		$data['submenu'] = '';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/support/add');
		$this->load->view('pages/inc/footer');
	}

	public function addSupport(){
		$post = $this->input->post();
		
		if(!empty($post['user']) && !empty($post['subject'])){
			$data = array(
				'users' => $post['user'],
				'subject' => $post['subject'],
				'status' => $post['status'],
				'comments' => $post['comments'],
				'add_date' => date('Y-m-d H:i:s'),
				'added_by' => $this->session->userdata('sess_id'),
				'add_type' => $this->session->userdata('sess_cust_type')
			);
			$this->home_model->insert('tbl_support', $data);
			$this->session->set_flashdata('success','Support Add Successfully!!');
		    redirect(base_url('support/view'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('support/add'));
		}
	}

	public function edit($id){
		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Edit Support | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'support';
		$data['submenu'] = '';
		$data['id'] = $id;

		$this->load->view('pages/inc/header', $data);
	  	$this->load->view('pages/support/edit');
	  	$this->load->view('pages/inc/footer');
	}

	public function updateSupport(){
		$post = $this->input->post();

		if( !empty($post['user']) && !empty($post['subject']) ){

			$data = array(
				'users' => $post['user'],
				'subject' => $post['subject'],
				'status' => $post['status'],
				'comments' => $post['comments']
			);

			$this->home_model->update1('tbl_support', $data, 'id', $post['id']);
			$this->session->set_flashdata('success','Support Update Successfully!!');
			redirect(base_url('support/view'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('support/edit/'.$post['id']));
		}

	}

	public function reply($id){
		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Reply Support | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'support';
		$data['submenu'] = '';
		$data['id'] = $id;

		$this->load->view('pages/inc/header', $data);
	  	$this->load->view('pages/support/reply');
	  	$this->load->view('pages/inc/footer');
	}

	public function replySupport(){
		$post = $this->input->post();

		if( !empty($post['comments']) ){

			$data = array(
				'comments' => $post['comments'],
				'support_id' => $post['id'],
				'add_date' => date('Y-m-d'),
				'add_by' => $this->session->userdata('sess_id'),
				'add_type' => $this->session->userdata('sess_cust_type')
			);

			$this->home_model->insert('tbl_support_reply', $data);

			$data2 = array('notification'=> '0');
			$this->home_model->update('tbl_support', $data2, $post['id']);

			$notification = "0";
			$sqlN = $this->db->query("SELECT notification FROM tbl_support WHERE id = '".$post['id']."'");
			foreach($sqlN->result() as $rowN){
				$notification = $rowN->notification;
			}
			$tot_not = ($notification + 1);
			$data1 = array('notification' => $tot_not);
			$this->home_model->update('tbl_support', $data1, $post['id']);


			$this->session->set_flashdata('success','Support Reply Add Successfully!!');
			redirect(base_url('support/reply/'.$post['id']));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('support/reply/'.$post['id']));
		}
	}

	

	public function delete($id){
		$this->db->delete('tbl_support', array('id' => $id));
		$this->db->delete('tbl_support_reply', array('support_id' => $id));
		$this->session->set_flashdata('success','Support Delete Successfully!!');
	    redirect(base_url('support/view'));
	}

	public function delete_reply($id, $enq_id){
		$this->db->delete('tbl_support_reply', array('id' => $id));
		$this->session->set_flashdata('success','Support Reply Delete Successfully!!');
	    redirect(base_url('support/reply/'.$enq_id));
	}

	

	public function _do_upload($filename){
		$config['upload_path']          = './assets/uploads/';
		$config['allowed_types']        = '*';
        $this->load->library('upload', $config);
        if ( ! $this->upload->do_upload($filename)){
            return false;
        } else {
            $data = array('upload_data' => $this->upload->data());
            return $post[$filename] = $data['upload_data']['file_name'];
        }
    }

    public function user_ip_address(){
		if(!empty($_SERVER['HTTP_CLIENT_IP'])){
	        //ip from share internet
	        $ip = $_SERVER['HTTP_CLIENT_IP'];
	    }elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
	        //ip pass from proxy
	        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	    }else{
	        $ip = $_SERVER['REMOTE_ADDR'];
	    }
	    return $ip;
	}

    public function currentDateTime(){
    	date_default_timezone_set('Asia/Calcutta');
    	return $date=date("Y-m-d H:i:s");
    }

	

}
