<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Users extends CI_Controller {

	public function __construct(){
		error_reporting(0);
		parent::__construct();
		$this->load->model('home_model');
		date_default_timezone_set('Asia/Calcutta');
		$this->load->library('email');

		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}



	}

	public function index(){

		
	}

	public function view(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  }

	 

	  $title = base_url(); $parts = parse_url($title);
	  $data['meta_title'] = "User Management | ". $parts['host'];
	  $data['meta_keyword'] = "";
	  $data['meta_description'] = "";

	  
	  $data['menu'] = 'user';
	  $data['submenu'] = 'user';

	  $this->load->view('pages/inc/header', $data);
	  $this->load->view('pages/user/view');
	  $this->load->view('pages/inc/footer');
	}

	public function add(){
		if( ! $this->session->userdata('sess_id')){
			return  redirect(base_url());
	  	}

		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Add User | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'user';
		$data['submenu'] = 'user';

		$this->load->view('pages/inc/header', $data);
		$this->load->view('pages/user/add');
		$this->load->view('pages/inc/footer');
	}

	public function addUsers(){
		$post = $this->input->post();
		
		$ckeck = $this->home_model->findValue($post['email'], 'email', 'tbl_user');
		if( !empty($ckeck)){
			$this->session->set_flashdata('error','Email <b>('.$post["email"].')</b> Already Exists!!');
			redirect(base_url('users/add'));
			die();
		}

		$ckeck = $this->home_model->findValue($post['phone'], 'phone', 'tbl_user');
		if( !empty($ckeck)){
			$this->session->set_flashdata('error','Phone <b>('.$post["phone"].')</b> Already Exists!!');
			redirect(base_url('users/add'));
			die();
		}

		if(!empty($post['name'])){
			$data = array(
				'name' => $post['name'],
				'email' => $post['email'],
				'phone' => $post['phone'],
				'password' => md5($post['password']),
				'status' => $post['status'],
				'cust_type' => '1',
				'added_by' => $this->session->userdata('sess_id'),
				'add_type' => $this->session->userdata('sess_cust_type')
			);
			$this->home_model->insert('tbl_user', $data);
			$this->session->set_flashdata('success','User Add Successfully!!');
		    redirect(base_url('users/view'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('users/add'));
		}
	}

	public function edit($id){
		

		$title = base_url(); $parts = parse_url($title);
		$data['meta_title'] = "Edit User | ". $parts['host'];
		$data['meta_keyword'] = "";
		$data['meta_description'] = "";

		
		$data['menu'] = 'user';
		$data['submenu'] = 'user';
		$data['id'] = $id;

		$this->load->view('pages/inc/header', $data);
	  	$this->load->view('pages/user/edit');
	  	$this->load->view('pages/inc/footer');
	}

	public function updateUser(){
		$post = $this->input->post();

		if( !empty($post['name']) && !empty($post['email']) ){

			$ckeck = $this->home_model->findValue_isnot($post['email'], 'email', $post['id'], 'id', 'tbl_user');
			if( !empty($ckeck)){
				$this->session->set_flashdata('error','Email <b>('.$post["email"].')</b> Already Exists!!');
	    		redirect(base_url('users/edit/'.$post['id']));
	    		die();
			}

			$ckeck = $this->home_model->findValue_isnot($post['phone'], 'phone', $post['id'], 'id', 'tbl_user');
			if( !empty($ckeck)){
				$this->session->set_flashdata('error','Phone No <b>('.$post["phone"].')</b> Already Exists!!');
	    		redirect(base_url('users/edit/'.$post['id']));
	    		die();
			}

			if( !empty($post['password']) ){
				$data = array(
					'name' => $post['name'],
					'email' => $post['email'],
					'phone' => $post['phone'],
					'password' => md5($post['password']),
					'status' => $post['status']
				);
			} else {
				$data = array(
					'name' => $post['name'],
					'email' => $post['email'],
					'phone' => $post['phone'],
					'status' => $post['status']
				);
			}

			$this->home_model->update1('tbl_user', $data, 'id', $post['id']);
			$this->session->set_flashdata('success','User Update Successfully!!');
			redirect(base_url('users/view'));
		} else {
			$this->session->set_flashdata('error','Please Fill Required Field First!!');
		    redirect(base_url('users/edit/'.$post['id']));
		}

	}

	

	public function delete($id){
		$this->db->delete('tbl_user', array('id' => $id));
		$this->session->set_flashdata('success','User Delete Successfully!!');
	    redirect(base_url('users/view'));
	}

	

	public function _do_upload($filename){
		$config['upload_path']          = './assets/uploads/';
		$config['allowed_types']        = '*';
        $this->load->library('upload', $config);
        if ( ! $this->upload->do_upload($filename)){
            return false;
        } else {
            $data = array('upload_data' => $this->upload->data());
            return $post[$filename] = $data['upload_data']['file_name'];
        }
    }

    public function user_ip_address(){
		if(!empty($_SERVER['HTTP_CLIENT_IP'])){
	        //ip from share internet
	        $ip = $_SERVER['HTTP_CLIENT_IP'];
	    }elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){
	        //ip pass from proxy
	        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	    }else{
	        $ip = $_SERVER['REMOTE_ADDR'];
	    }
	    return $ip;
	}

    public function currentDateTime(){
    	date_default_timezone_set('Asia/Calcutta');
    	return $date=date("Y-m-d H:i:s");
    }

	

}
