<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Register | LENTO</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/fontawesome-free/css/all.min.css">
  <!-- icheck bootstrap -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- Theme style -->
  <!-- Select2 -->
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="<?=base_url('assets/');?>plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  
  <link rel="stylesheet" href="<?=base_url('assets/');?>dist/css/adminlte.min.css">
  <link rel="stylesheet" href="<?=base_url('assets/style.css');?>">
</head>
<body class="hold-transition register-page1">
<div class="register-box">
  <div class="register-logo">
    <a href="<?=base_url();?>" class="brand-link-reg">
      <img src="<?=base_url('assets/lento-logo1.png');?>" alt="Logo">
    </a>
  </div>

  <div class="card">
    <div class="card-body register-card-body">
      <h5 class="login-box-msg">Register a new membership</h5>

      <?php if ($this->session->flashdata('success')) { ?>
          <div class="alert alert-success" style="width: 100%; margin-bottom: 0;"><b>Success:-</b> <?=$this->session->flashdata('success');?></div>
      <?php } ?>
      <?php if ($this->session->flashdata('error')) { ?>
          <div class="alert alert-danger" style="width: 100%; margin-bottom: 0;"><b>Error:-</b> <?=$this->session->flashdata('error');?></div>
      <?php } ?>

      <form class="validateForm" action="<?=base_url('home/resisterUser');?>" method="post">
        <div class="row">
          <h4 class="col-md-12">Basic</h4>
          <div class="col-md-4">
            <div class="form-group">
              <label>Register As *</label>
              <select class="form-control select2" required name="cust_type" onchange="custType(this.value)">
                <option value="">Select </option>
                <option value="5">Customer</option>
                <option value="4">CSC Center</option>
                <option value="3">Dealer</option>
                <option value="2">Distributer</option>
              </select>
            </div>
          </div>
          
          <div class="col-md-4">
            <div class="form-group">
              <label> Refrence Code</label>
              <input type="text" name="reference_code" class="form-control" onchange="referalDeails(this.value)" >
              <span class="text-success" id="refDetails"></span>
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label>Title *</label>
              <select class="form-control select2" required name="title">
                <option value="">Select Title</option>
                <option value="M/S">M/S</option>
                <option value="Mr.">Mr.</option>
                <option value="Mrs.">Mrs.</option>
              </select>
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label> Name *</label>
              <input type="text" required name="name" class="form-control" >
            </div>
          </div>
          <div class="col-md-4 hide_content">
            <div class="form-group">
              <label> Company/Firm Name</label>
              <input type="text" name="company_name" class="form-control" >
            </div>
          </div>
          <div class="col-md-4 hide_content">
            <div class="form-group">
              <label>Type of Organisation</label>
              <select class="form-control select2" name="organisation">
                <option value="">Select Organisation</option>
                <option value="Proprietary">Proprietary</option>
                <option value="Partnership">Partnership</option>
                <option value="Public">Public</option>
                <option value="Pvt. Ltd.">Pvt. Ltd.</option>
                <option value="Trust">Trust</option>
                <option value="Others">Others</option>
              </select>
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label>Mobile No *</label>
              <input type="tel" required name="phone" class="form-control" pattern="[1-9]{1}[0-9]{9}" onchange="getPhoneAvailable(this.value)" id="phone" >
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label>Alternate Mobile No</label>
              <input type="tel" name="alt_phone" class="form-control" pattern="[1-9]{1}[0-9]{9}" >
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label>WhatsApp No</label>
              <input type="tel" name="whatsapp" class="form-control" pattern="[1-9]{1}[0-9]{9}" >
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label>Email *</label>
              <input type="email" required name="email" class="form-control" onchange="getEmailAvailable(this.value)" id="email" >
            </div>
          </div>
          
          <div class="col-md-4">
            <div class="form-group">
              <label>Password *</label>
              <input type="password" required name="password" class="form-control" >
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label>Country</label>
              <select class="form-control select2" name="country" onchange="getState(this.value)">
                <option value="">Select Country</option>
                <?php
                  $sql = $this->db->query("SELECT id, name FROM `tbl_countries` WHERE 1");
                  foreach($sql->result() as $rowD){ 
                ?>
                  <option value="<?=$rowD->id;?>"><?=$rowD->name;?></option>
                <?php } ?>
              </select>
            </div>
          </div>

          <div class="col-md-4">
            <div class="form-group">
              <label>State</label>
              <select class="form-control select2" id="type1" name="state" onchange="getCity(this.value)">
                <option value="">Select State</option>
              </select>
            </div>
          </div>

          <div class="col-md-4">
            <div class="form-group">
              <label>District</label>
              <select class="form-control select2" id="type2" name="city" onchange="getTehsil(this.value)">
                <option value="">Select District</option>
              </select>
            </div>
          </div>

          <div class="col-md-4">
            <div class="form-group">
              <label>Tehsil</label>
              <select class="form-control select2" id="type3" name="tehsil" onchange="getBlock(this.value)">
                <option value="">Select Tehsil</option>
              </select>
            </div>
          </div>

          <div class="col-md-4">
            <div class="form-group">
              <label>Block</label>
              <select class="form-control select2" id="type4" name="block" onchange="getVillage(this.value)">
                <option value="">Select Block</option>
              </select>
            </div>
          </div>

          <div class="col-md-4">
            <div class="form-group">
              <label>Village</label>
              <select class="form-control select2" id="type5" name="village">
                <option value="">Select Village</option>
              </select>
            </div>
          </div>

          <div class="col-md-4">
            <div class="form-group">
                <label>Street/Shop No</label>
                <input type="text" name="address" class="form-control" >
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
                <label>PinCode</label>
                <input type="text" name="pin" class="form-control" >
            </div>
          </div>

          <h4 class="col-md-12">Distributer/Dealer/CSC List <small>(In Your District)</small></h4>

          <div class="col-md-4">
            <div class="form-group">
              <label>Distributer *</label>
              <select class="form-control select2" name="distributer" id="distributer" onchange="getDealer(this.value)" required >
                <option value="">Select Distributer</option>
                <?php
                  $sql = $this->db->query("SELECT id, title, name FROM `tbl_user` WHERE cust_type = '2' ");
                  foreach($sql->result() as $rowD){ 
                ?>
                  <option value="<?=$rowD->id;?>">(SAPSON<?=$rowD->id;?>) <?=$rowD->title;?> <?=$rowD->name;?></option>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label>Dealer</label>
              <select class="form-control select2" name="dealer" id="dealer" onchange="getCsc(this.value)" >
                <option value="">Select Dealer</option>
              </select>
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label>CSC</label>
              <select class="form-control select2" name="csc" id="csc" >
                <option value="">Select CSC</option>
              </select>
            </div>
          </div>
          
          <h4 class="col-md-12 hide_content">Bank Details</h4>

          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>Name of Bank</label>
                <input type="text" name="bank_name" class="form-control" >
            </div>
          </div>
          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>Account Number</label>
                <input type="text" name="acc_no" class="form-control" >
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>Account Holder Name</label>
                <input type="text" name="acc_hlder_name" class="form-control" >
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>IFSC Code</label>
                <input type="text" name="ifsc_code" class="form-control" >
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>MICR Code</label>
                <input type="text" name="micr_code" class="form-control" >
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>PAN No</label>
                <input type="text" name="pan_no" class="form-control" >
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>Security Amount(Cheque 1)</label>
                <input type="text" name="sec_amount_one" class="form-control" >
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>Security Amount(Cheque 2)</label>
                <input type="text" name="sec_amount_two" class="form-control" >
            </div>
          </div>

          <h4 class="col-md-12 hide_content">Taxation Details</h4>

          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>GST Registration No</label>
                <input type="text" name="gst_no" class="form-control" >
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>GST Registration date</label>
                <input type="date" name="gst_date" class="form-control" >
            </div>
          </div>

          

          <h4 class="col-md-12 hide_content">Personal Information</h4>

          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>Proprietary Residence Address</label>
                <input type="text" name="proprietary_pers" class="form-control" >
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
              <label>Country</label>
              <select class="form-control select2" name="country_pers" onchange="getState2(this.value)">
                <option value="">Select Country</option>
                <?php
                  $sql = $this->db->query("SELECT id, name FROM `tbl_countries` WHERE 1");
                  foreach($sql->result() as $rowD){ 
                ?>
                  <option value="<?=$rowD->id;?>"><?=$rowD->name;?></option>
                <?php } ?>
              </select>
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
              <label>State</label>
              <select class="form-control select2" id="type12" name="state_pers" onchange="getCity2(this.value)">
                <option value="">Select State</option>
              </select>
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
              <label>District</label>
              <select class="form-control select2" id="type22" name="city_pers" onchange="getTehsil2(this.value)">
                <option value="">Select District</option>
              </select>
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
              <label>Tehsil</label>
              <select class="form-control select2" id="type32" name="tehsil_pers" onchange="getBlock2(this.value)">
                <option value="">Select Tehsil</option>
              </select>
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
              <label>Block</label>
              <select class="form-control select2" id="type42" name="block_pers" onchange="getVillage2(this.value)">
                <option value="">Select Block</option>
              </select>
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
              <label>Village</label>
              <select class="form-control select2" id="type52" name="village_pers">
                <option value="">Select Village</option>
              </select>
            </div>
          </div>

          <div class="col-md-4 hide_content">
            <div class="form-group">
                <label>PinCode</label>
                <input type="text" name="pin_pers" class="form-control" >
            </div>
          </div>
          
          
          <div class="col-md-12">
            <div class="form-group">
              <label></label>
              <input type="submit" class="btn btn-primary" value="Register Request" >
            </div>
          </div>
          
        
      </div>
      </form>

      
      
    </div>
    <!-- /.form-box -->
  </div><!-- /.card -->
</div>
<!-- /.register-box -->


<script type="text/javascript">
    function getState(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetState');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type1").html(response);
          },
      });
    }

    function getCity(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetCity');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type2").html(response);
          },
      });
    }

    function getTehsil(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetTehsil');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
              $("#type3").html(response);
          },
      });

      $.ajax({
          url: "<?=base_url('home/ajaxGetDistributer');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
            $("#distributer").html(response);
          },
      });
      
    }

    function getBlock(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetBlock');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type4").html(response);
          },
      });
    }
    function getVillage(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetVillage');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type5").html(response);
          },
      });
    }

  </script>


  <script type="text/javascript">
    function getState1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetState');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type11").html(response);
          },
      });
    }

    function getCity1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetCity');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type21").html(response);
          },
      });
    }

    function getTehsil1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetTehsil');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type31").html(response);
          },
      });
    }

    function getBlock1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetBlock');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type41").html(response);
          },
      });
    }
    function getVillage1(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetVillage');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type51").html(response);
          },
      });
    }

  </script>

<script type="text/javascript">
    function getState2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetState');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type12").html(response);
          },
      });
    }

    function getCity2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetCity');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type22").html(response);
          },
      });
    }

    function getTehsil2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetTehsil');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type32").html(response);
          },
      });
    }

    function getBlock2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetBlock');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type42").html(response);
          },
      });
    }
    function getVillage2(id){
      var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetVillage');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#type52").html(response);
          },
      });
    }

  </script>

<script type="text/javascript">
  function getDealer(id){
    var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetDealer');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#dealer").html(response);
          },
      });
  }

  function getCsc(id){
    var id = id;
      
      $.ajax({
          url: "<?=base_url('home/ajaxGetCsc');?>",
          type: "POST",
          data: "id="+id,
          success: function (response) {
            console.log(response);
              $("#csc").html(response);
          },
      });
  }
</script>


<script type="text/javascript">
  function referalDeails(vals){
    var vals = vals;
    $("#refDetails").html("");

    $.ajax({
        url: "<?=base_url('home/ajaxrefDetails');?>",
        type: "POST",
        data: "vals="+vals,
        success: function (response) {
          $("#refDetails").html(response);
        },
    });
  }
</script>

<script type="text/javascript">
  function custType(cust_type){
    var cust_type = cust_type;
    if(cust_type == '5'){
      $('.hide_content').css('display', 'none');
    } else {
      $('.hide_content').css('display', 'block');
    }
  }
</script>

<script type="">
  function getPhoneAvailable(phone){
    var phone = phone;
    $.ajax({
        url: "<?=base_url('home/ajaxPhoneAvl');?>",
        type: "POST",
        data: "phone="+phone,
        success: function (response) {
          if(response == 'yes'){
            $("#phone").val("");
            alert("Phone No Already in Use!!!");
          }
        },
    });
  }
  function getEmailAvailable(email){
    var email = email;
    $.ajax({
        url: "<?=base_url('home/ajaxEmailAvl');?>",
        type: "POST",
        data: "email="+email,
        success: function (response) {
          console.log(response);
          if(response == 'yes'){
            $("#email").val("");
            alert("Email Id Already in Use!!!");
          }
        },
    });
  }
</script>